function populate(array1, array2, length)
{
	var randomIndex;
	while (array2.length !== length) 
	{
		randomIndex = Math.floor(Math.random()*array1.length);
		if(!array2.includes(array1[randomIndex]))
			array2.push(array1[randomIndex]);
	}
	return array2;
}
function shuffleArray(array)
{
	var i,j,temp;
	for (i = array.length - 1; i > 0; i--) 
	{
	    j = Math.floor(Math.random() * (i + 1));
	    temp = array[i];
	    array[i] = array[j];
	    array[j] = temp;
	}
	return array;
}
function saySomething(whatToSay)
{
	
	if('speechSynthesis' in window)
	{
		window.speechSynthesis.resume();
		var speech = new SpeechSynthesisUtterance(whatToSay);
		speech.lang = 'hi-IN'; //en-US
		//speech.rate=0.5;
		window.speechSynthesis.speak(speech);
	}
}

function stopSomething()
{
	window.speechSynthesis.cancel()
}